import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhFooterIconBlock {
    render() {
        return (h(FooterTitle, { arr: this.arr }));
    }
    static get is() { return "s-abdullakh-footer-icon-block"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-footer-icon-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-footer-icon-block.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 footer"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnFooter",
            "name": "clickOnFooter",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 footer"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов footer2
 */
const FooterTitle = (props) => {
    return props.arr.slice(0, 1).map((item) => {
        return (h("div", null,
            h("div", { class: "corp_info", onClick: () => this.clickOnFooter.emit(event) }, item.firstBlockTitle),
            h("div", { class: "social_links mt-4" },
                h("s-abdullakh-footer-icons", { arr: item }))));
    });
};
// /**
//  * функция для присваивания классов блокам footer-menu
//  * */
// function categoryClass(x) {
//   switch (x) {
//     case 'facebook':
//       return 'fa fa-facebook-official';
//
//     case 'twitter':
//       return 'fa fa-twitter-square';
//
//     case 'invision':
//       return 'fab fa-invision';
//
//     case 'instagram':
//       return 'fa fa-instagram';
//   }
// }
