import { Component, h, Prop } from '@stencil/core';
import { markdown } from "markdown";
export class SAbdullakhAppBlog {
    render() {
        const text = this.p.map((item) => {
            return (h("p", { innerHTML: markdown.toHTML(item.text) }));
        });
        return (h("section", { class: "container" },
            h("div", { class: "head_blog_section text-center mt-5" },
                h("div", { class: "category" },
                    h("div", { class: "trends_categoty" },
                        h("a", { href: "#" }, "Trends & Insights"))),
                h("div", { class: "title_blog_section" },
                    h("h1", null, "6 ways for financeial & legal marketers to differebtiate their firm through video"),
                    h("div", { class: "author" },
                        h("h3", null, "Erik Mathes"),
                        h("p", null, "Oct 15, 2019")))),
            h("div", { class: "blog_posts" },
                h("div", { class: "foreword_heading" },
                    h("div", { class: "blog_posts_img mb-5" }),
                    h("div", { class: "blog_content" },
                        h("div", { class: "social_links_themeTwo" },
                            h("div", { class: "social_link_themeTwo" },
                                h("a", { href: "" },
                                    h("i", { class: "fa fa-facebook-official", "aria-hidden": "true" }))),
                            h("div", { class: "social_link_themeTwo" },
                                h("a", { href: "" },
                                    h("i", { class: "fa fa-twitter-square", "aria-hidden": "true" }))),
                            h("div", { class: "social_link_themeTwo " },
                                h("a", { href: "" },
                                    h("i", { class: "fab fa-invision" }))),
                            h("div", { class: "social_link_themeTwo " },
                                h("a", { href: "" },
                                    h("i", { class: "fa fa-instagram", "aria-hidden": "true" })))),
                        h("div", null, text),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum."),
                        h("div", { class: "blog-wibbitz-report" },
                            h("div", { class: "text" },
                                h("h4", null, "Ready to continue your video marketing journey?"),
                                h("p", null, "Explore our latest report for all the best practices & inights you`ll need to eaisily navigate the video marketing landscape"),
                                h("div", { class: "pt-3" },
                                    h("button", { class: "btn book_prewiev_btn" }, "Explore Report"))),
                            h("div", { class: "image img_one" })),
                        h("div", { class: "content_heading" },
                            h("h3", null, "1. Humanize your firm by showing causes you support")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null,
                            h("iframe", { class: "content_video border-radius", src: "https://player.vimeo.com/video/345554603?dnt=1&app_id=122963", width: "900", height: "400" })),
                        h("div", { class: "content_heading" },
                            h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente.")),
                        h("div", { class: "bd-example" },
                            h("div", { id: "carouselExampleIndicators", class: "carousel slide", "data-ride": "carousel" },
                                h("ol", { class: "carousel-indicators" },
                                    h("li", { "data-target": "#carouselExampleIndicators", "data-slide-to": "0", class: "active" }),
                                    h("li", { "data-target": "#carouselExampleIndicators", "data-slide-to": "1", class: "" }),
                                    h("li", { "data-target": "#carouselExampleIndicators", "data-slide-to": "2", class: "" })),
                                h("div", { class: "carousel-inner border-radius" },
                                    h("div", { class: "carousel-item active" },
                                        h("svg", { class: "bd-placeholder-img bd-placeholder-img-lg d-block w-100", width: "800", height: "400", xmlns: "http://www.w3.org/2000/svg", preserveAspectRatio: "xMidYMid slice", focusable: "false", role: "img", "aria-label": "Placeholder: First slide" },
                                            h("title", null, "Placeholder"),
                                            h("rect", { fill: "#777", width: "100%", height: "100%" }),
                                            h("text", { fill: "#555", dy: ".3em", x: "50%", y: "50%" }, "First slide"))),
                                    h("div", { class: "carousel-item" },
                                        h("svg", { class: "bd-placeholder-img bd-placeholder-img-lg d-block w-100", width: "800", height: "400", xmlns: "http://www.w3.org/2000/svg", preserveAspectRatio: "xMidYMid slice", focusable: "false", role: "img", "aria-label": "Placeholder: Second slide" },
                                            h("title", null, "Placeholder"),
                                            h("rect", { fill: "#666", width: "100%", height: "100%" }),
                                            h("text", { fill: "#444", dy: ".3em", x: "50%", y: "50%" }, "Second slide"))),
                                    h("div", { class: "carousel-item" },
                                        h("svg", { class: "bd-placeholder-img bd-placeholder-img-lg d-block w-100", width: "800", height: "400", xmlns: "http://www.w3.org/2000/svg", preserveAspectRatio: "xMidYMid slice", focusable: "false", role: "img", "aria-label": "Placeholder: Third slide" },
                                            h("title", null, "Placeholder"),
                                            h("rect", { fill: "#555", width: "100%", height: "100%" }),
                                            h("text", { fill: "#333", dy: ".3em", x: "50%", y: "50%" }, "Third slide")))),
                                h("a", { class: "carousel-control-prev", href: "#carouselExampleIndicators", role: "button", "data-slide": "prev" },
                                    h("span", { class: "carousel-control-prev-icon", "aria-hidden": "true" }),
                                    h("span", { class: "sr-only" }, "Previous")),
                                h("a", { class: "carousel-control-next", href: "#carouselExampleIndicators", role: "button", "data-slide": "next" },
                                    h("span", { class: "carousel-control-next-icon", "aria-hidden": "true" }),
                                    h("span", { class: "sr-only" }, "Next")))),
                        h("div", { class: "content_heading" },
                            h("h3", null, "2. Recruit new talent to your team")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("div", { class: "citate" },
                            h("p", null, "\"Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente.\"")),
                        h("div", { class: "content_heading" },
                            h("div", { class: "two_glava img_two border-radius" })),
                        h("div", { class: "content_heading" },
                            h("h3", null, "3. Provide valuable information to ear viewer,s trust")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero!"),
                        h("p", null,
                            h("iframe", { class: "content_video border-radius", src: "https://player.vimeo.com/video/345554603?dnt=1&app_id=122963", width: "900", height: "400" })),
                        h("div", { class: "content_heading" },
                            h("h3", null, "4. Showcase your firm`s best pro bono work")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero!"),
                        h("div", { class: "content_heading" },
                            h("div", { class: "two_glava img_three border-radius" })),
                        h("div", { class: "content_heading" },
                            h("h3", null, "5. Announce and promote events your firm is hosting")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente"),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente"),
                        h("div", { class: "content_heading" },
                            h("p", null,
                                h("iframe", { class: "content_video border-radius", src: "https://player.vimeo.com/video/345554603?dnt=1&app_id=122963", width: "900", height: "400" }))),
                        h("div", { class: "content_heading" },
                            h("h3", null, "6. Highlight your form`s accolades and stats")),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente."),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit."),
                        h("div", { class: "content_heading" },
                            h("div", { class: "two_glava img_four border-radius" })),
                        h("p", null, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam consectetur dignissimos doloribus earum, error esse impedit iusto laboriosam laborum nesciunt odit pariatur quod sapiente totam ullam unde vel vero! Lorem ipsum dolor sit amet, consectetur adipisicing elit."),
                        h("div", { class: "author_info" },
                            h("div", { class: "row subscribe py-5" },
                                h("div", { class: "col-lg-6 col-12" },
                                    h("div", { class: "author_block" },
                                        h("div", { class: "author_img" }),
                                        h("div", { class: "author_name_work" },
                                            h("div", { class: "author_name" }, "Erik Mathers"),
                                            h("div", { class: "author_work" }, "Content Marketing Strategist")))),
                                h("div", { class: "col-lg-6 col-12 align-self-center" },
                                    h("div", { class: "social_contact" },
                                        h("div", { class: "social_contact_text" }, "Follow me on:"),
                                        h("div", { class: "social_contact_icons" },
                                            h("div", { class: "social_links" },
                                                h("div", { class: "social_link" },
                                                    h("a", { href: "" },
                                                        h("i", { class: "fa fa-facebook-official", "aria-hidden": "true" }))),
                                                h("div", { class: "social_link" },
                                                    h("a", { href: "" },
                                                        h("i", { class: "fab fa-invision" }))))))))))))));
    }
    static get is() { return "s-abdullakh-app-blog"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-app-blog.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-app-blog.css"]
    }; }
    static get properties() { return {
        "p": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "p",
            "reflect": false
        }
    }; }
}
