import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhSearchSubscribe {
    render() {
        return (h("div", { class: "col-auto d-none d-xl-block" },
            h("div", null,
                h("div", { class: "header_search_block", onClick: () => this.clickOnHeader.emit(event) },
                    h("a", { href: "#", class: "nav-link" },
                        h("span", { class: "material-icons" }, this.arr.searchIcon))),
                h("div", { class: "header_subscribe_block" },
                    h("div", { class: "input-group" },
                        h("input", { type: "email", placeholder: "Enter work email", class: "header_subscribe_input", onClick: () => this.clickOnHeader.emit(event) }),
                        h("div", { class: "input-group-append" },
                            h("button", { class: "header_btn", onClick: () => this.clickOnHeader.emit(this.arr.subscribeText) },
                                h("span", null, this.arr.subscribeText))))))));
    }
    static get is() { return "s-abdullakh-search-subscribe"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-search-subscribe.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-search-subscribe.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043E\u043D\u043A\u0440\u0435\u0442\u043D\u043E\u043C\u0443 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
