import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhListinerTitle {
    render() {
        return (h("div", { class: "listenerTitleWrapper" },
            h("div", { class: "newlistener_title", onClick: () => this.clickOnListiner.emit(this.arr.title) }, this.arr.title),
            h("div", { class: "newlistiner_subtitle", onClick: () => this.clickOnListiner.emit(this.arr.subtitle) },
                this.arr.subtitle,
                h("a", { onClick: () => this.clickOnListiner.emit(this.arr.linkText) }, this.arr.linkText))));
    }
    static get is() { return "s-abdullakh-listiner-title"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-listiner-title.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-listiner-title.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 Listener"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnListiner",
            "name": "clickOnListiner",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 button \u0432 Listiner"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
