import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhListiner {
    render() {
        return (h("div", { class: "container_update  newlistiner_section" },
            h("div", { class: "row subscribe p-5" },
                h(ListinerTitle, { arr: this.arr.listnerTitle }),
                h(ListinerForm, { arr: this.arr.listnerBtn }))));
    }
    static get is() { return "s-abdullakh-listiner"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-listiner.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-listiner.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 Listener"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnListiner",
            "name": "clickOnListiner",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 button \u0432 Listiner"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов ListinerTitle
 */
const ListinerTitle = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-6 col-12 " },
            h("s-abdullakh-listiner-title", { arr: item })));
    });
};
/*
* компонентная функция для вывода элементов ListinerForm
 */
const ListinerForm = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-6 col-12 px-0 px-md-5" },
            h("s-abdullakh-listiner-form", { arr: item })));
    });
};
